BizKitHub
DocsAPI ReferenceProduct/bff/product/bundle-item-update
postProductAdmin BFF

/bff/product/bundle-item-update

Sets the quantity of one bundle component. Existing orders are not affected.

ProductpostBffProductBundle-item-update

Parameters

JSON body

Request body

application/json
productCodestringRequired

Bundle product code.

componentCodestringRequired

Component product code.

componentVariantCodestringOptional

Component variant code, when pinned.

quantitynumberRequired

New units of the component in one bundle.

Range: 1–∞

Response schema

1 status code documented

200Success
successbooleanRequired

Response example

application/json
{
  "success": false
}

Request example

POST /bff/product/bundle-item-update

post
curl -X POST "https://api.bizkithub.com/bff/product/bundle-item-update" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "productCode": "example_productCode",
  "componentCode": "example_componentCode",
  "componentVariantCode": "example_componentVariantCode",
  "quantity": 0
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key